Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Stage Comments

List
GET /serviceformModules/{moduleId}/forms/{formId}/stageComments
https://api.relesysapp.net/api/v1.2/serviceformModules/{moduleId}/forms/{formId}/stageComments
Get a list of stage comments for the form with ID formId.

Please note: This endpoint is only available if stages are enabled on the service form module.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"7af1ae24-f3f5-4ad5-9feb-0fbe3983b817","url":null,"fillingId":"349c3ec7-e379-4a46-a9fc-d9d7c9254630","fillingUrl":null,"stageId":"44c5ecc1-c4fd-4cec-8afb-29c9c424cc61","stageUrl":null,"userId":"db736a3d-5ebd-40e6-b456-fc1b06641baf","userUrl":null,"creationDateTime":"2026-04-29T17:44:08.4952763+00:00","lastModifiedDateTime":"2026-04-30T17:44:08.4952763+00:00","value":"Stage Comment 1","medias":[{"id":"f4d83947-91a5-493c-bacf-63ae8a358cc5","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"903fcd46-b389-4ea4-ae45-118ac646a3ac","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"}]},{"id":"35294537-e6bc-4f61-8a96-a380df2b64d8","url":null,"fillingId":"74cf2d09-c879-4521-9cb1-30828bb9d487","fillingUrl":null,"stageId":"28bf7c82-4d65-444c-9c37-053bec3b6fe9","stageUrl":null,"userId":"5825b303-51d6-42d1-95b4-179526f00edc","userUrl":null,"creationDateTime":"2026-04-29T17:44:08.4952763+00:00","lastModifiedDateTime":null,"value":"Stage Comment 2","medias":[]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   stageId string / guid      
   stageUrl string      
   url string      
   userId string / guid      
   userUrl string      
   value string      
  nextUrl string      
  previousUrl string